Libhandy-0.0.11

Introduction to libhandy

The libhandy package provides additional GTK UI widgets for use in developing user interfaces.

This package is known to build and work properly using an LFS-9.0 platform.

Package Information

libhandy Dependencies

Required

GTK+-3.24.13

Recommended

Optional

GTK-Doc-1.32 and Glade

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libhandy

Installation of libhandy

Install libhandy by running the following commands:

mkdir build &&
cd    build &&

meson --prefix=/usr .. &&
ninja

To test the results, issue: ninja test.

Now, as the root user:

ninja install

Command Explanations

-Dgtk_doc=true: Use this option if you have GTK-Doc-1.32 installed and wish to install the documentation.

Contents

Installed Programs: handy-demo-0.0
Installed Libraries: libhandy-0.0.so
Installed Directories: /usr/include/libhandy-0.0

Short Descriptions

handy-demo-0.0

provides an example of how to use the libhandy library.

libhandy-0.0.so

provides additional GTK widgets for use in creating user interfaces.

Last updated on 2019-10-31 11:49:19 -0500